Package org.opensaml.xmlsec.signature.support

# Interface ContentReference

All Known Subinterfaces:
  `ConfigurableContentReference`, `TransformsConfigurableContentReference`

All Known Implementing Classes:
  `DocumentInternalIDContentReference`, `SAMLObjectContentReference`, `URIContentReference`

public interface ContentReference
Interface for representing the references to the content that is digitally signed. Individual implementations of this may with to expose properties, such as the ability to set the digest algorithm if it may vary based on runtime information.

## Method Summary

Modifier and Type
Method
Description
`void`
`createReference(org.apache.xml.security.signature.XMLSignature signature)`
Called by the signature marshaller to allow references to be added to the signature.

## Method Details

### createReference

void createReference(@Nonnull org.apache.xml.security.signature.XMLSignature signature)
Called by the signature marshaller to allow references to be added to the signature.

Parameters:
  `signature` - the signature object